Bug 260206 - security/i2pd: Update to 2.40.0
Summary: security/i2pd: Update to 2.40.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dries Michiels
URL: https://github.com/PurpleI2P/i2pd/rel...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-04 11:15 UTC by Andrey Korobkov
Modified: 2021-12-13 17:55 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Korobkov 2021-12-04 11:15:27 UTC

    
Comment 1 Dries Michiels freebsd_committer 2021-12-06 16:10:15 UTC
Take
Comment 2 commit-hook freebsd_committer 2021-12-13 17:54:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=074939ea0793b18c98ab07a0efb18b70dae8b4d4

commit 074939ea0793b18c98ab07a0efb18b70dae8b4d4
Author:     Dries Michiels <driesm@FreeBSD.org>
AuthorDate: 2021-12-06 19:40:17 +0000
Commit:     Dries Michiels <driesm@FreeBSD.org>
CommitDate: 2021-12-13 17:54:29 +0000

    security/i2pd: Update to 2.40.0

    - Take maintainership
    - Switch to DISTVERSION
    - Enable AESNI by default (run time detection if it can be used or not)
    - Pet portfmt and portclippy
    - Respect hier(7) for config files and dirs

    Changes:                https://github.com/PurpleI2P/i2pd/releases/tag/2.40.0
    PR:                     260206
    Approved by:            0mp (mentor)
    Differential Revision:  https://reviews.freebsd.org/D33384

 security/i2pd/Makefile                             | 53 ++++++++++++++--------
 security/i2pd/distinfo                             |  6 +--
 security/i2pd/files/i2pd.in                        | 32 +++++++++----
 security/i2pd/files/patch-contrib_i2pd.conf        | 24 ++++++++--
 .../i2pd/files/patch-libi2pd_Reseed.cpp (gone)     | 13 ------
 security/i2pd/files/pkg-message.in                 |  8 ++++
 security/i2pd/pkg-plist                            | 14 ++++--
 7 files changed, 98 insertions(+), 52 deletions(-)